0.9.6: GLM_GTX_norm

| 0.9.6

- Main Page
- Modules
- Files

Functions
GLM_GTX_norm
GTX Extensions (Experimental)

## Functions
template<typename T >
GLM_FUNC_DECL T | distance2 (T const &p0, T const &p1)
template<typename genType >
GLM_FUNC_DECL genType::value_type | distance2 (genType const &p0, genType const &p1)
template<typename T , precision P>
GLM_FUNC_DECL T | l1Norm (tvec3< T, P > const &x, tvec3< T, P > const &y)
template<typename T , precision P>
GLM_FUNC_DECL T | l1Norm (tvec3< T, P > const &v)
template<typename T , precision P>
GLM_FUNC_DECL T | l2Norm (tvec3< T, P > const &x, tvec3< T, P > const &y)
template<typename T , precision P>
GLM_FUNC_DECL T | l2Norm (tvec3< T, P > const &x)
template<typename T >
GLM_FUNC_DECL T | length2 (T const &x)
template<typename genType >
GLM_FUNC_DECL genType::value_type | length2 (genType const &x)
template<typename T , precision P>
GLM_FUNC_DECL T | lxNorm (tvec3< T, P > const &x, tvec3< T, P > const &y, unsigned int Depth)
template<typename T , precision P>
GLM_FUNC_DECL T | lxNorm (tvec3< T, P > const &x, unsigned int Depth)

## Detailed Description

Various ways to compute vector norms.

<glm/gtx/norm.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL T glm::distance2 | ( | T const & | p0,
|  | T const & | p1
| ) |  |

Returns the squared distance between p0 and p1, i.e., length(p0 - p1).

From GLM_GTX_norm extension.

GLM_FUNC_DECL genType::value_type glm::distance2 | ( | genType const & | p0,
|  | genType const & | p1
| ) |  |

Returns the squared distance between p0 and p1, i.e., length(p0 - p1).

From GLM_GTX_norm extension.

GLM_FUNC_DECL T glm::l1Norm | ( | tvec3< T, P > const & | x,
|  | tvec3< T, P > const & | y
| ) |  |

Returns the L1 norm between x and y.

From GLM_GTX_norm extension.

GLM_FUNC_DECL T glm::l1Norm | ( | tvec3< T, P > const & | v | ) |

Returns the L1 norm of v.

From GLM_GTX_norm extension.

GLM_FUNC_DECL T glm::l2Norm | ( | tvec3< T, P > const & | x,
|  | tvec3< T, P > const & | y
| ) |  |

Returns the L2 norm between x and y.

From GLM_GTX_norm extension.

GLM_FUNC_DECL T glm::l2Norm | ( | tvec3< T, P > const & | x | ) |

Returns the L2 norm of v.

From GLM_GTX_norm extension.

GLM_FUNC_DECL T glm::length2 | ( | T const & | x | ) |

Returns the squared length of x.

From GLM_GTX_norm extension.

GLM_FUNC_DECL genType::value_type glm::length2 | ( | genType const & | x | ) |

Returns the squared length of x.

From GLM_GTX_norm extension.

GLM_FUNC_DECL T glm::lxNorm | ( | tvec3< T, P > const & | x,
|  | tvec3< T, P > const & | y,
|  | unsigned int | Depth
| ) |  |

Returns the L norm between x and y.

From GLM_GTX_norm extension.

GLM_FUNC_DECL T glm::lxNorm | ( | tvec3< T, P > const & | x,
|  | unsigned int | Depth
| ) |  |

Returns the L norm of v.

From GLM_GTX_norm extension.